repo/gentoo:master commit in: app-office/lyx/
"Arthur Zamarin" <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786985314.70452f4943b291ad5ef7b33f8d1cb43e0a485569.arthurzam@gentoo> |
commit: 70452f4943b291ad5ef7b33f8d1cb43e0a485569
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 17 16:48:22 2026 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Mon Aug 17 16:48:34 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70452f49
app-office/lyx: add 2.5.2
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
app-office/lyx/Manifest | 2 +
app-office/lyx/lyx-2.5.2.ebuild | 188 ++++++++++++++++++++++++++++++++++++++++
2 files changed, 190 insertions(+)
diff --git a/app-office/lyx/Manifest b/app-office/lyx/Manifest
index 18a20c8595da..e2fc6b1a0ce3 100644
--- a/app-office/lyx/Manifest
+++ b/app-office/lyx/Manifest
@@ -4,3 +4,5 @@ DIST lyx-2.5.0.tar.xz 18650808 BLAKE2B 70a46dba51245449ae5e59992b6964e5de88053ee
DIST lyx-2.5.0.tar.xz.sig 310 BLAKE2B 8bd2f171af79f6112d132e2b0fa2942c995ed3e77f04acbcce09348b7511fae753ce38a54a53b0ba8f399b3dc82155822628b06a9fa045f20d15e88c90754264 SHA512 f55954042e37473275e070f3391097ef27fdd256d4820b4d1c49537116c4f9ecb1d6a962075d24872d0ea5403769938df0c5410a411943f11dea041c26c53ed4
DIST lyx-2.5.1.tar.xz 18673876 BLAKE2B 698f3f708395c022ff99ec29d7b6a8f05c0defaef958542a579a8e7619a7c58ebc4ac63f5b520690ef83b276a443d039c9ae1586eef39986e4568382ae43e35c SHA512 77c3bd1deeb2c6d174d21ee9620654ac82d0695fbeba22b653819129d2d27f2a999e28cdff444c1e9fd64a0a7fae5ce0effa69818bce2aea1b708f7a27858e54
DIST lyx-2.5.1.tar.xz.sig 310 BLAKE2B 27ccf3fea705655c16512ae50770e2423f53da101417ba56501d15fde52ddc540151b78d0f7aac73a1f57e044b724d6c040ff154abcb81400884cbccad984cea SHA512 c8832da923011049d525ec272a52fa8d07c303a8c8af860baa9c0267e8d53b95ebf271faf36334485e473e806d876696f5427a4b579c686b16c72cc7a64adac2
+DIST lyx-2.5.2.tar.xz 18798464 BLAKE2B 66d92276122d73fd80b0cf8498b3021849acab976667e3eead8c2d3fe4438597d8f4ade1f889310d5fc18e967bd02868d3d67278e74d1160446e2c39287a5cf9 SHA512 301d8e4aa63bcf2cdaadee2a5dbbe2b5bf33d9ea6dd767db2e59c07fde83f1191d747d883adaf22690ccc0aed03e438ea2dbff19a45dcdadf5fab0d1b4f5fb28
+DIST lyx-2.5.2.tar.xz.sig 310 BLAKE2B 8d2581208af7ccca4ad1c3b539557121406d0bdf9562acd8c1c0b7f61b3b2b751373bd8929206d0d89bcfc42210866a8ecbc9c4e5ae8d491d0a3249d2d2fe561 SHA512 2c799cb8dc1c5dc127519786eb98ae055bbcec5ad6637fcba055903aa67b751e7dd3a186d8607f9e9ed81a68bdca2c8d5d807e79056a3b025519b6b00c6e107f
diff --git a/app-office/lyx/lyx-2.5.2.ebuild b/app-office/lyx/lyx-2.5.2.ebuild
new file mode 100644
index 000000000000..d596708fea74
--- /dev/null
+++ b/app-office/lyx/lyx-2.5.2.ebuild
@@ -0,0 +1,188 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{12..14} )
+
+inherit desktop font optfeature python-single-r1 cmake verify-sig xdg
+
+DESCRIPTION="WYSIWYM (What You See Is What You Mean) document processor based on LaTeX"
+HOMEPAGE="https://www.lyx.org/"
+SRC_URI="
+ http://ftp.lyx.org/pub/lyx/stable/$(ver_cut 1-2).x/${P/_rc/\~RC}.tar.xz
+ http://ftp.lyx.org/pub/lyx/devel/lyx-$(ver_cut 1-2)/${P/_rc/\~RC}.tar.xz
+ verify-sig? (
+ http://ftp.lyx.org/pub/lyx/stable/$(ver_cut 1-2).x/${P/_rc/\~RC}.tar.xz.sig
+ http://ftp.lyx.org/pub/lyx/devel/lyx-$(ver_cut 1-2)/${P/_rc/\~RC}.tar.xz.sig
+ )
+"
+S=${WORKDIR}/${P/_rc/\~RC}
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="aspell cups dia dot enchant gnumeric html +hunspell +latex monolithic-build nls rcs rtf svg l10n_he"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="test"
+
+RDEPEND="${PYTHON_DEPS}
+ app-text/mythes
+ dev-qt/qt5compat:6
+ dev-qt/qtbase:6[concurrent,dbus,gui,widgets]
+ dev-qt/qtsvg:6
+ sys-apps/file
+ virtual/zlib:=
+ virtual/imagemagick-tools[png,svg?]
+ x11-libs/libxcb
+ x11-misc/xdg-utils
+ aspell? ( app-text/aspell )
+ cups? ( net-print/cups )
+ dia? ( app-office/dia )
+ dot? ( media-gfx/graphviz )
+ enchant? ( app-text/enchant:2 )
+ gnumeric? ( app-office/gnumeric )
+ html? ( dev-tex/html2latex )
+ hunspell? ( app-text/hunspell:= )
+ l10n_he? (
+ dev-tex/culmus-latex
+ dev-texlive/texlive-langarabic
+ )
+ latex? (
+ app-text/dvipng
+ app-text/ghostscript-gpl
+ app-text/ps2eps
+ app-text/texlive
+ dev-texlive/texlive-fontsrecommended
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-mathscience
+ dev-texlive/texlive-pictures
+ dev-texlive/texlive-plaingeneric
+ || (
+ dev-tex/latex2html
+ dev-tex/hevea
+ dev-tex/tex4ht[java]
+ dev-tex/tth
+ )
+ )
+ rcs? ( dev-vcs/rcs )
+ rtf? (
+ app-text/unrtf
+ dev-tex/html2latex
+ dev-tex/latex2rtf
+ )
+ svg? ( || (
+ gnome-base/librsvg
+ media-gfx/inkscape
+ ) )
+"
+DEPEND="${RDEPEND}"
+# bc needed http://comments.gmane.org/gmane.editors.lyx.devel/137498 and bug #787839
+BDEPEND="
+ app-alternatives/bc
+ virtual/pkgconfig
+ dev-qt/qttools:6[linguist]
+ nls? ( sys-devel/gettext )
+ verify-sig? ( sec-keys/openpgp-keys-lyx )
+"
+
+VERIFY_SIG_OPENPGP_KEY_PATH="/usr/share/openpgp-keys/lyx.asc"
+
+DOCS=( ANNOUNCE NEWS README RELEASE-NOTES UPGRADING )
+
+FONT_S="${S}/lib/fonts"
+FONT_SUFFIX="ttf"
+
+PATCHES=(
+ "${FILESDIR}"/lyx-2.4.0-fix-hunspell.patch
+ # Try first with xdg-open before hardcoded commands
+ # Patch from Debian using a similar approach to Fedora
+ "${FILESDIR}"/lyx-2.4.4-prefer-xdg-open.patch
+)
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+ font_pkg_setup
+}
+
+src_prepare() {
+ sed "s:python -tt:${EPYTHON} -tt:g" -i lib/configure.py || die
+ cmake_src_prepare
+}
+
+src_configure() {
+ #bug 221921
+ export VARTEXFONTS="${T}"/fonts
+
+ local mycmakeargs=(
+ -DLYX_INSTALL=ON
+ -DLYX_USE_QT=QT6
+ -DLYX_INSTALL_PREFIX="${EPREFIX}/usr"
+ -DLYX_CXX_FLAGS_EXTRA="${CXXFLAGS}"
+
+ -DLYX_NLS=$(usex nls)
+ -DLYX_ASPELL=$(usex aspell)
+ -DLYX_ENCHANT=$(usex enchant)
+ -DLYX_HUNSPELL=$(usex hunspell)
+
+ # external dependencies
+ -DLYX_EXTERNAL_Z=ON
+ -DLYX_EXTERNAL_ICONV=ON
+ -DLYX_EXTERNAL_HUNSPELL=ON
+ -DLYX_EXTERNAL_MYTHES=ON
+ -DLYX_PROGRAM_SUFFIX=OFF
+
+ # debug control
+ -DLYX_NO_OPTIMIZE=OFF
+ -DLYX_RELEASE=ON
+ -DLYX_DEBUG=OFF
+ -DLYX_DEBUG_GLIBC=OFF
+ -DLYX_STDLIB_DEBUG=OFF
+ )
+
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+
+ newicon -s 32 "development/Win32/packaging/icons/lyx_32x32.png" ${PN}.png
+ doicon -s 48 "lib/images/lyx.png"
+ doicon -s scalable "lib/images/lyx.svg"
+
+ # fix for bug 91108
+ if use latex; then
+ dosym -r /usr/share/lyx/tex /usr/share/texmf-site/tex/latex/lyx
+ fi
+
+ # fonts needed for proper math display, see also bug #15629
+ font_src_install
+
+ python_fix_shebang "${ED}"/usr/share/${PN}
+
+ if use hunspell; then
+ dosym ../myspell /usr/share/lyx/dicts
+ dosym ../myspell /usr/share/lyx/thes
+ fi
+}
+
+pkg_postinst() {
+ font_pkg_postinst
+ xdg_pkg_postinst
+
+ # fix for bug 91108
+ if use latex ; then
+ texhash || die
+ fi
+
+ optfeature "handling more fonts" dev-texlive/texlive-fontsextra
+}
+
+pkg_postrm() {
+ font_pkg_postrm
+ xdg_pkg_postrm
+
+ if use latex ; then
+ texhash || die
+ fi
+}